org.apache.commons.text

## Class StrLookup<V>

- java.lang.Object
- - org.apache.commons.text.StrLookup<V>

- Type Parameters:
    `V` - the type of the values supported by the lookup
  All Implemented Interfaces:
    StringLookup

  Deprecated.
  Deprecated as of 1.3, use `StringLookupFactory` instead. This class will be removed in 2.0.

      @Deprecated
      public abstract class StrLookup<V>
      extends Object
      implements StringLookup

  Lookup a String key to a String value.

  This class represents the simplest form of a string to string map. It has a benefit over a map in that it can create the result on demand based on the key.

  This class comes complete with various factory methods. If these do not suffice, you can subclass and implement your own matcher.

  For example, it would be possible to implement a lookup that used the key as a primary key, and looked up the value on demand from the database

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StrLookup()` Deprecated. Constructor.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V> StrLookup<V>` | `mapLookup(Map<String,V> map)` Deprecated. Returns a lookup which looks up values using a map.
    `static StrLookup<?>` | `noneLookup()` Deprecated. Returns a lookup which always returns null.
    `static StrLookup<String>` | `resourceBundleLookup(ResourceBundle resourceBundle)` Deprecated. Returns a lookup which looks up values using a ResourceBundle.
    `static StrLookup<String>` | `systemPropertiesLookup()` Deprecated. Returns a new lookup which uses a copy of the current `System properties`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.text.lookup.StringLookup

      `lookup`

- - ### Constructor Detail

    - #### StrLookup

          protected StrLookup()

      Deprecated.
      Constructor.

  - ### Method Detail

    - #### noneLookup

          public static StrLookup<?> noneLookup()

      Deprecated.
      Returns a lookup which always returns null.
      Returns:
        a lookup that always returns null, not null

    - #### systemPropertiesLookup

          public static StrLookup<String> systemPropertiesLookup()

      Deprecated.
      Returns a new lookup which uses a copy of the current `System properties`.

      If a security manager blocked access to system properties, then null will be returned from every lookup.

      If a null key is used, this lookup will throw a NullPointerException.

      Returns:
        a lookup using system properties, not null

    - #### mapLookup

          public static <V> StrLookup<V> mapLookup(Map<String,V> map)

      Deprecated.
      Returns a lookup which looks up values using a map.

      If the map is null, then null will be returned from every lookup. The map result object is converted to a string using toString().

      Type Parameters:
        `V` - the type of the values supported by the lookup
      Parameters:
        `map` - the map of keys to values, may be null
      Returns:
        a lookup using the map, not null

    - #### resourceBundleLookup

          public static StrLookup<String> resourceBundleLookup(ResourceBundle resourceBundle)

      Deprecated.
      Returns a lookup which looks up values using a ResourceBundle.

      If the ResourceBundle is null, then null will be returned from every lookup. The map result object is converted to a string using toString().

      Parameters:
        `resourceBundle` - the map of keys to values, may be null
      Returns:
        a lookup using the map, not null
      See Also:
        `StringLookupFactory.resourceBundleStringLookup(String)`

Copyright © 2014–2020 The Apache Software Foundation. All rights reserved.